$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.116-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.116-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A7435F257742B4C37BFFB60661A540B03EBAB5517B8FFCD38DA3DB4723463EFB'
  checksumType = 'sha256'
  checksum64 = 'A7435F257742B4C37BFFB60661A540B03EBAB5517B8FFCD38DA3DB4723463EFB'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.116-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
